package it.integry.integrywmsnative.core.report;

import com.google.gson.annotations.SerializedName;

public enum ReportType {

    @SerializedName("0")
    ETICHETTA_SSCC_ACCETTAZIONE(0),
    @SerializedName("1")
    ETICHETTA_SSCC_LAVORAZIONE(1),
    @SerializedName("2")
    ETICHETTA_SSCC_SPEDIZIONE(2),
    @SerializedName("3")
    WMS_SPEDIZIONE_ETICHETTE_SSCC_ORD(3),
    @SerializedName("4")
    WMS_SPEDIZIONE_PACKING_LIST_ORD(4),
    @SerializedName("5")
    STAMPA_LISTINI_VENDITA(5);

    private final int value;

    ReportType(int value) {
        this.value = value;
    }

    public static ReportType from(Object value) {
        int castValue = (int) value;
        for (ReportType b : ReportType.values()) {
            if (b.value == castValue)
                return b;
        }
        return null;
    }


    public int getValue() {
        return this.value;
    }

}
